> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pay4power.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pay4power.com/_mcp/server.

# Initiate Transaction

POST https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b/b2b/power/initiate
Content-Type: application/json

Creates an electricity vending transaction and prepares it for payment and final fulfillment.

Reference: https://docs.pay4power.com/electricity/initiate-transaction

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /b2b/power/initiate:
    post:
      operationId: initiate-transaction
      summary: Initiate Transaction
      description: >-
        Creates an electricity vending transaction and prepares it for payment
        and final fulfillment.
      tags:
        - subpackage_electricity
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  description: Any type
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties:
                description: Any type
servers:
  - url: https://p4p-core-bill-payments-service.dev.payinvert.com/api/v2.1/b2b
    description: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## Examples

**Request**

```json
{
  "amount": 1000,
  "receiver": "12345678",
  "provider": "YEDC",
  "meterType": "PREPAID"
}
```

**Response**

```json
{
  "success": true,
  "message": "Meter Verification Successful",
  "errors": null,
  "statusCode": 200,
  "correlationId": "7417925d-a580-4719-b7ba-18fbbd2121aa",
  "data": {
    "providerLogo": "https://pay4power-uploads.s3.eu-west-1.amazonaws.com/Electricity/AEDC.png",
    "verificationReference": "42FB39FB1EB811F1A35EF6C3EF632280",
    "provider": "Abuja Electricity Distribution Company",
    "receiver": "1111111111111",
    "customerName": "Avoseh Emmanuel",
    "customerAddress": "Turbo Energy, Lagos State",
    "meterType": "PREPAID",
    "amount": 100,
    "tarriffDescription": "R2 - Residential",
    "minimumPurchase": "1000",
    "maximumPurchase": "5000000",
    "outstandingPayment": "0",
    "meterCategory": "MD",
    "commission": {
      "commissionAmount": 1.5,
      "commissionPercentage": "1.50",
      "commissionCap": 1500,
      "isCustomRate": false
    }
  }
}
```